define({'Access Control List':{d:'See ACL.',l:''},'ACI':{d:'Autonomy Content Infrastructure. A technology layer that automates operations on unstructured information for cross-enterprise applications. ACI enables an automated and compatible business-to-business, peer-to-peer infrastructure.',l:''},'ACI Server':{d:'A server component that runs on the Autonomy Content Infrastructure (ACI). ACI servers use the ACI API to accept queries and actions, and return XML responses.',l:''},'ACL':{d:'Access Control List. A metadata string associated with a document that defines which users and groups are permitted to access the document.',l:''},'action':{d:'A request sent to an ACI server.',l:''},'active directory':{d:'A domain controller for the Microsoft Windows operating system, which uses LDAP to authenticate users and computers on a network.',l:''},'Category component':{d:'A component that manages categorization and clustering.',l:''},'CFS':{d:'Connector Framework Server. A component that processes the information that is retrieved by connectors. CFS uses File Content Extraction to extract document content and metadata from over 1000 different file types. When the information has been processed, it is sent to a Content component index or Distributed Index Handler (DIH).',l:''},'Community component':{d:'A component that manages users and communities.',l:''},'compiled grammar':{d:'A grammar file that has been compiled from XML into ECR file format using the Named Entity Recognition command-line tool edktool, so that Named Entity Recognition can use it directly. \nSee also: XML, ECR file, grammar, standard grammar, user grammar.',l:''},'components':{d:'An attribute of a matched entity (a component of the single match), for example a topic or sentiment.',l:''},'connector':{d:'A component (for example File System Connector) that retrieves information from a local or remote repository (for example, a file system, database, or Web site).',l:''},'Connector Framework Server':{d:'See CFS.',l:''},'Content component':{d:'A component that manages the data index and performs most of the search and retrieval operations from the index.',l:''},'DAH':{d:'Distributed Action Handler. A component that distributes actions to multiple copies of a Knowledge Discovery component. It allows you to use failover, load balancing, or distributed content.',l:''},'database':{d:'A Content component data pool that stores indexed information. The administrator can set up one or more databases, and specifies how data is fed to the databases.',l:''},'DIH':{d:'Distributed Index Handler. A component that allows you to efficiently split and index extremely large quantities of data into multiple copies of the Content component. DIH allows you to create a scalable solution that delivers high performance and high availability. It provides a flexible way to batch, route, and categorize the indexing of internal and external content into the Content component.',l:''},'Distributed Action Handler':{d:'See DAH.',l:''},'Distributed Index Handler':{d:'See DIH.',l:''},'Document Security':{d:'An integrated security solution to protect your data. At the front end, authentication checks that users are allowed to access the system that contains the result data. At the back end, entitlement checking and authentication combine to ensure that query results contain only documents that the user is allowed to see, from repositories that the user has permission to access. For more information, refer to the Document Security Administration Guide.',l:''},'ECR file':{d:'ECR is a proprietary format for grammar files that Named Entity Recognition can easily read at runtime. You can write grammar files in XML, then use the Named Entity Recognition command-line tool edktool to compile them into ECR format. \nSee also: XML, compiled grammar.',l:''},'edktool':{d:'A command-line tool for compiling and testing Named Entity Recognition grammars.',l:''},'entity':{d:'In Named Entity Recognition, an entity is a word, phrase, or block of information that the Named Entity Recognition component can match and extract from documents. An entity can be a specific text string, such as a name, or it can be a pattern of text such as an address or phone number. You define the pattern in a grammar, which Named Entity Recognition uses to find the entities in documents.',l:''},'extraction':{d:'Named Entity Recognition extracts entities from documents based on the rules you have created in your dictionaries and grammars, and returns an XML list of matches, or adds the matches to the source document as new fields. \nSee also: XML, grammar, dictionary.',l:''},'field':{d:'Fields define different parts of content in Knowledge Discovery documents, such as the title, content, and metadata information.',l:''},'File Content Extraction':{d:'The component that extracts data, including text, metadata, and subfiles from over 1,000 different file types. File Content Extraction can also convert documents to HTML format for viewing in a Web browser.',l:''},'grammar':{d:'In Named Entity Recognition, a grammar is a pattern that defines an entity.',l:''},'headword':{d:'A word or short phrase that Named Entity Recognition matches in an entity (for example, the name of a person or place).',l:''},'IDX':{d:'A structured file format that can be indexed into the Content component. You can use a connector to import files into this format or you can manually create IDX files.',l:''},'importing':{d:'After a document has been downloaded from the repository in which it is stored, it is imported to an IDX or XML file format. This process is called “importing”.',l:''},'index':{d:'The Content component data index contains document content and field information for analysis and retrieval.',l:''},'indexing':{d:'The process of storing data in the Content component. Content stores data in different field types (such as, index, numeric and ordinary fields). It is important to store data in appropriate field types to ensure optimized performance.',l:''},'Knowledge Discovery':{d:'A family of products that allow you to collect, ingest, index, and process unstructure, semi-structured and structured information from multiple sources and repositories.',l:''},'landmark':{d:'A value that identifies a particular entity, without being a part of the entity value. For example, the phrase \"Date of Birth\" is a landmark for an entity that extracts dates of birth.',l:''},'LDAP':{d:'Lightweight Directory Access Protocol. Applications can use LDAP to retrieve information from a server. LDAP is used for directory services (such as corporate email and telephone directories) and user authentication.\n\nSee also: active directory, primary domain controller.',l:''},'License Server':{d:'License Server enables you to license and run multiple Knowledge Discovery solutions. You must have a License Server on a machine with a known, static IP address.',l:''},'linguistic sentiment analysis (LSA)':{d:'See sentiment analysis.',l:''},'Lua':{d:'An embedded scripting language that you can use to write custom scripts to expand certain Knowledge Discovery functionality.',l:''},'Luhn algorithm':{d:'A formula used to validate identification numbers, such as credit card numbers and social security numbers. The formula checks for errors by performing mathematical operations in the number to calculate a number that must agree with the final digit of the number.',l:''},'metadata':{d:'Data that describes and gives information about other data. For example, the metadata for a text document might include information about the author of the document, the date it was written, or a short summary.',l:''},'Named Entity Recognition':{d:'The process of extracting entities (patterns of text) from documents.',l:''},'Named Entity Recognition engine':{d:'The part of any Named Entity Recognition component that processes text and performs extraction and redaction operations. You can access the engine by using the Named Entity Recognition SDK, Named Entity Recognition Server, or a Knowledge Discovery ingestion component (CFS or NiFi Ingest).',l:''},'OmniGroupServer':{d:'A component that manages access permissions for your users. It communicates with your repositories and components to apply access permissions to documents.',l:''},'parsing':{d:'The process of analyzing text according to the rules of a formal grammar.',l:''},'pattern':{d:'A description of the entity you want to extract, which enables Named Entity Recognition to produce a list of matches based on that pattern. Usually, a pattern specifies in general terms what a match looks like (for example, phone numbers), by using regular expressions. You can also use it to specify an exact list, but in this case you usually use headwords.\nSee also: entity, extraction, grammar, headword, regular expressions.',l:''},'polarity scoring':{d:'A number, usually between 0.50 and 1.50, that represents the strength of the sentiment in the matched phrase.',l:''},'post-processing script':{d:'A script that performs additional processing on matched entities. This script can validate matches (for example to calculate a checksum for an ID number), and discard matches if they do not meet the script requirements.',l:''},'precision':{d:'Precision is the percentage of extracted entities that are true entities. \nSee also: recall.',l:''},'primary domain controller':{d:'A server computer in a Microsoft Windows domain that controls various computer resources.\n\nSee also: active directory, LDAP.',l:''},'Proxy component':{d:'A component that accepts incoming actions and distributes them to the appropriate subcomponent. Proxy also performs some maintenance operations to make sure that the subcomponents are running, and to start and stop them when necessary.',l:''},'recall':{d:'The recall of an extraction is the percentage of matches that are actually returned, out of the total number of matches that should return in theory. \nSee also: precision.',l:''},'regular expressions':{d:'A string that allows you to define a particular string pattern in a concise format. Matching in Named Entity Recognition uses regular expressions to define what you want to match.',l:''},'relevance':{d:'The similarity that a particular query result has to the initial query. The Content component assigns results a percentage relevance score according to how closely it matches the query criteria.',l:''},'sentiment analysis':{d:'A form of Named Entity Recognition that identifies positive and negative sentiment in text.',l:''},'standard grammar':{d:'Named Entity Recognition includes a set of standard grammars that allow you to extract the most common entities, such as person, place, or company names, legal terms, addresses, dates, and times. \nSee also: entity, compiled grammar, grammar, user grammar.',l:''},'tagging':{d:'The process of adding extra information to documents. The tag might be a category, or entities returned from Named Entity Recognition. Tagging usually adds a field to a document, which you can use to search by the name of a tag.',l:''},'tokenization':{d:'The process of analyzing text to split it into tokens. \nSee Also: tokens',l:''},'tokens':{d:'The Content component stores document text as a series of tokens. Generally, a token is a word, but it can also include other strings of characters (such as a phone number or e-mail address).',l:''},'user grammar':{d:'XML files created by the user that describe entities that can locate patterns in text using the Named Entity Recognition grammar language.',l:''},'View':{d:'A component that converts files in a repository to HTML formats for viewing in a Web browser.',l:''},'Wildcard':{d:'A character that stands in for any character or group of characters in a query.',l:''},'XML':{d:'Extensible Markup Language. XML is a language that defines the different attributes of document content in a format that can be read by humans and machines. In Knowledge Discovery, you can index documents in XML format. Knowledge Discovery can also return action responses in XML format.',l:''}});