define({"0":{y:0,u:"../Content/part_intro.htm",l:-1,t:"Getting Started",i:0.0012245147725693,a:"Getting Started This section introduces Named Entity Recognition and the basic concepts for its use."},"1":{y:0,u:"../Content/GettingStarted/Introduction/Intro.htm",l:-1,t:"Introduction",i:0.00174493597688677,a:"Introduction This section introduces OpenText Named Entity Recognition."},"2":{y:0,u:"../Content/GettingStarted/Introduction/About.htm",l:-1,t:"About Named Entity Recognition",i:0.0012245147725693,a:"OpenText Knowledge Discovery Named Entity Recognition identifies and extracts entities from text. An entity is a word, phrase, or block of information, such as a person\u0027s name, an address, a date, or a telephone number. Named Entity Recognition includes a comprehensive set of predefined entities, ..."},"3":{y:0,u:"../Content/GettingStarted/Introduction/EductionConcepts.htm",l:-1,t:"Named Entity Recognition Concepts",i:0.0012245147725693,a:"Named Entity Recognition Concepts This section introduces some of the Named Entity Recognition concepts and terminology used throughout this guide."},"4":{y:0,u:"../Content/GettingStarted/Introduction/Grammars.htm",l:-1,t:"Grammar Files",i:0.0012245147725693,a:"A grammar file defines one or more entities that you want to extract.  Standard grammars. Named Entity Recognition includes a collection of grammar files covering common entities such as names, social security numbers, postal addresses, telephone numbers, and so on. For a complete list of standard ..."},"5":{y:0,u:"../Content/GettingStarted/Introduction/LSA.htm",l:-1,t:"Sentiment Analysis",i:0.0012245147725693,a:"Named Entity Recognition  Sentiment Analysis allows you to find whether text has positive, negative, or neutral sentiment. For example, you can use it to determine whether users of a particular product or service are satisfied or not, based on an automated analysis of reviews.  The sentiment ..."},"6":{y:0,u:"../Content/GettingStarted/Introduction/Components2.htm",l:-1,t:"Components",i:0.00174493597688677,a:"Some of the standard grammar files contain components, which extract attributes from matched phrases, such as topic, subject, and positive or negative sentiments. These attributes are called components because they are the components of a single match.  For example, if you use sentiment analysis to ..."},"7":{y:0,u:"../Content/GettingStarted/Introduction/Extraction.htm",l:-1,t:"Extraction",i:0.0012245147725693,a:"Named Entity Recognition extraction is the process of matching and retrieving entities from text, according to the rules in your  grammars.  To run Named Entity Recognition, you send a text file, or the raw text, to the Named Entity Recognition engine (you can do this in several ways, see  Named ..."},"8":{y:0,u:"../Content/GettingStarted/Introduction/EductionArchitecture.htm",l:-1,t:"Named Entity Recognition Architecture",i:0.00174493597688677,a:"You run Named Entity Recognition by using a  Named Entity Recognition engine. This engine uses the Named Entity Recognition grammars to process text and return the matched entities.  The following diagram shows the use of grammars in a Named Entity Recognition engine.  The standard grammar files are ..."},"9":{y:0,u:"../Content/GettingStarted/Introduction/WhichEductionOption.htm",l:-1,t:"Decide Which Named Entity Recognition Product to Use",i:0.00199325212408695,a:"OpenText provides three main ways for you to use Named Entity Recognition: Named Entity Recognition in ingest, the Named Entity Recognition SDK, and Named Entity Recognition Server. The one you use depends on your use case, and your preference.  Named Entity Recognition as Part of an Ingestion ..."},"10":{y:0,u:"../Content/GettingStarted/Install/Install.htm",l:-1,t:"Install Named Entity Recognition",i:0.00174493597688677,a:"Install Named Entity Recognition This section describes the Named Entity Recognition packages and components available."},"11":{y:0,u:"../Content/GettingStarted/Install/EductionPackages.htm",l:-1,t:"Named Entity Recognition Packages",i:0.00174493597688677,a:"OpenText provides the following Named Entity Recognition ZIP packages: Named Entity Recognition SDK . The Named Entity Recognition SDK, which you can use to create applications that use a Named Entity Recognition engine directly. This package includes: Libraries and API reference documentation for ..."},"12":{y:0,u:"../Content/GettingStarted/Install/Licenses.htm",l:-1,t:"Licenses",i:0.0012245147725693,a:"To run Named Entity Recognition, you must have a valid license, which you obtain from OpenText Support. You must also have a valid version key, which you can download from the Software Licenses and Downloads portal (SLD), in the License Server package or as a standalone download package. You must ..."},"13":{y:0,u:"../Content/part_SDK.htm",l:-1,t:"Named Entity Recognition SDK",i:0.00228353748234657,a:"Named Entity Recognition SDK This section describes how to set up and use the Named Entity Recognition SDK."},"14":{y:0,u:"../Content/EductionSDK/DeployEductionSDK/deploySDK.htm",l:-1,t:"Deploy Named Entity Recognition SDK",i:0.00275187470902836,a:"Deploy Named Entity Recognition SDK This chapter describes the files in the Named Entity Recognition SDK and how to deploy the SDK. "},"15":{y:0,u:"../Content/EductionSDK/DeployEductionSDK/deploySDK1.htm",l:-1,t:"Named Entity Recognition SDK Package",i:0.00851041163301386,a:"The Named Entity Recognition SDK package includes: Standard collection of grammar files covering a range of commonly used entities edktool command-line tool used for compiling Named Entity Recognition XML source grammar files into compiled run-time ECR files C API .NET API Java API Python API The ..."},"16":{y:0,u:"../Content/EductionSDK/DeployEductionSDK/C_API.htm",l:-1,t:"C API Component",i:0.0012245147725693,a:"The C API component of the Named Entity Recognition SDK includes: The Named Entity Recognition header file (edk.h). The Named Entity Recognition SDK library on Windows (edk.dll) or shared object on UNIX (libedk.so). (Windows only) The Named Entity Recognition SDK library linker file (edk.lib). ..."},"17":{y:0,u:"../Content/EductionSDK/DeployEductionSDK/DotNet_API.htm",l:-1,t:".NET API Component",i:0.0012245147725693,a:"The .NET API component of the Named Entity Recognition SDK is available on Microsoft Windows and Linux platforms. It includes: The Named Entity Recognition .NET library (EductionDotNet.dll) and the Named Entity Recognition C SDK library (edk.dll on Windows, or libedk.so on Linux). Several .NET code ..."},"18":{y:0,u:"../Content/EductionSDK/DeployEductionSDK/Java_API.htm",l:-1,t:"Java API Component",i:0.0012245147725693,a:"The Java API component of the Named Entity Recognition SDK includes: The Named Entity Recognition library on Windows (edkjni.dll) or shared object on UNIX (libedkjni.so). You might also need additional runtime libraries to run the Named Entity Recognition SDK. See  Named Entity Recognition SDK ..."},"19":{y:0,u:"../Content/EductionSDK/DeployEductionSDK/Python_API.htm",l:-1,t:"Python API Component",i:0.0012245147725693,a:"The Python API component of the Named Entity Recognition SDK includes: The Named Entity Recognition library on Windows edk.dll or shared object on Linux libedk.so. You might also need additional runtime libraries to run the Named Entity Recognition SDK. See  Named Entity Recognition SDK Package . A ..."},"20":{y:0,u:"../Content/EductionSDK/DeployEductionSDK/EductionSDKLicenses.htm",l:-1,t:"Named Entity Recognition SDK Licenses",i:0.0012245147725693,a:"In Named Entity Recognition SDK version 25.2, Named Entity Recognition licenses consist of two files: your license key, commonly called licensekey.dat, which contains information about the components and operations that you can run. the version key, versionkey.dat, which contains information about ..."},"21":{y:0,u:"../Content/EductionSDK/APIReference/apiReference.htm",l:-1,t:"API Reference",i:0.0029160783691298,a:"API Reference This section describes the C, .NET, Java, and Python APIs for Named Entity Recognition SDK."},"22":{y:0,u:"../Content/EductionSDK/APIReference/C_APIConcepts.htm",l:-1,t:"C API Concepts",i:0.0012245147725693,a:"This section describes concepts required to implement C language applications for Named Entity Recognition SDK. Include Files and Naming Conventions The include file edk.h contains the core Named Entity Recognition API. The types, functions, and macros specific to Named Entity Recognition SDK are ..."},"23":{y:0,u:"../Content/EductionSDK/APIReference/StandaloneAPIUsageC.htm",l:-1,t:"Standalone API Usage",i:0.00157146224211428,a:"The Named Entity Recognition Software Development Kit (SDK) C API allows C developers to interact directly with the Named Entity Recognition engine. The recommended way to create an engine is by using an engine factory. Your application\u0027s first call to the Named Entity Recognition API should be to ..."},"24":{y:0,u:"../Content/EductionSDK/APIReference/DotNet_APIConcepts.htm",l:-1,t:".NET API Concepts",i:0.0012245147725693,a:"The Named Entity Recognition SDK provides a .NET API that enables your application to create an extraction engine and perform entity extractions. This section describes the concepts used to write .NET applications with the Named Entity Recognition EDK. The .NET SDK consists of: EductionDotNet.dll, ..."},"25":{y:0,u:"../Content/EductionSDK/APIReference/DotNet_StandaloneAPIUsage.htm",l:-1,t:"Standalone API Usage",i:0.0012245147725693,a:"This section describes the basic structure of a standalone application using the API. See the source referenced in  Example Programs . Typically, your application takes the following actions:  Create an EDKFactory instance and use GetTextExtractionEngine to construct an ITextExtractionEngine. Use ..."},"26":{y:0,u:"../Content/EductionSDK/APIReference/Java_APIConcepts.htm",l:-1,t:"Java API Concepts",i:0.0012245147725693,a:"Named Entity Recognition SDK provides a Java API that enables your application to create an extraction engine and perform entity extractions. This section describes the concepts used to write Java applications with the Named Entity Recognition SDK. The Java SDK consists of:  a JAR file, edk.jar, ..."},"27":{y:0,u:"../Content/EductionSDK/APIReference/StandaloneAPIUsageJava.htm",l:-1,t:"Standalone API Usage",i:0.00157146224211428,a:"This section describes the basic structure of a standalone application using the API. See the source referenced in  Example Programs . Typically, your application takes the following actions: Load the EDK library. Copy System.loadLibrary(\"edkjni\"); Create an EDKFactory instance of a ..."},"28":{y:0,u:"../Content/EductionSDK/APIReference/Python_APIConcepts.htm",l:-1,t:"Python API Concepts",i:0.0012245147725693,a:"The Named Entity Recognition SDK provides a Python API that enables your application to create an extraction engine and perform entity extractions. This section describes the concepts used to write Python applications with the Named Entity Recognition EDK. The Python SDK consists of: A Python wheel, ..."},"29":{y:0,u:"../Content/EductionSDK/APIReference/Python_StandaloneAPIUsage.htm",l:-1,t:"Standalone API Usage",i:0.0012245147725693,a:"This section describes the basic structure of a standalone application using the API. See the source referenced in  Example Programs .  Typically, your application takes the following actions: Load the EDK SDK library. Copy import edk.sdk The package relies on the C EDK shared library (edk.dll or ..."},"30":{y:0,u:"../Content/EductionSDK/APIReference/Example_Programs.htm",l:-1,t:"Example Programs",i:0.00597769855421379,a:"You can find the sample programs in your Named Entity Recognition SDK zip package, in the samples directory.  The following sample programs are available: compile. Compiles an XML grammar file into an ECR file. eduction_from_config. Extracts entities from a plain text input file, using settings read ..."},"31":{y:0,u:"../Content/EductionSDK/APIReference/BestPractices.htm",l:-1,t:"Named Entity Recognition SDK Best Practices",i:0.0012245147725693,a:"Named Entity Recognition SDK Best Practices This section describes some best practices and approaches that you can use to improve applications that use the Named Entity Recognition SDK. "},"32":{y:0,u:"../Content/EductionSDK/APIReference/InitializationOverhead.htm",l:-1,t:"Reduce Initialization Overhead",i:0.0012245147725693,a:"This section provides some general advice about reducing overhead, for all Named Entity Recognition SDKs. EDK Engines When Named Entity Recognition creates and prepares a new EDK engine instance, it loads the required grammar files from disk. If you use an XML grammar rather than a compiled ECR ..."},"33":{y:0,u:"../Content/part_ACIServer.htm",l:-1,t:"Named Entity Recognition ACI Server",i:0.00228353748234657,a:"Named Entity Recognition ACI Server This section describes how to set up and use Named Entity Recognition Server."},"34":{y:0,u:"../Content/EductionServer/ACIServer/aciServer.htm",l:-1,t:"Use Named Entity Recognition Server",i:0.0037927171176633,a:"Use Named Entity Recognition Server This section describes the Named Entity Recognition ACI Server and how to configure and send actions."},"35":{y:0,u:"../Content/EductionServer/ACIServer/ACIServerIntro.htm",l:-1,t:"Introduction to Named Entity Recognition Server",i:0.0012245147725693,a:"Named Entity Recognition Server is a stand-alone server that uses the Knowledge Discovery ACI infrastructure. It is one of the available options that you can use to run Named Entity Recognition. Named Entity Recognition Server is not included in the Named Entity Recognition SDK package. You must ..."},"36":{y:0,u:"../Content/Shared_Admin/Licenses/_ADM_Licenses.htm",l:-1,t:"Licenses",i:0.0012245147725693,a:"To use  Knowledge Discovery solutions, you must have:  a running  License Server a valid license key file (licensekey.dat) for the products that you want to use a valid version key (versionkey.dat) License Server controls the Knowledge Discovery licenses, and assigns them to running components. The ..."},"37":{y:0,u:"../Content/Shared_Admin/Licenses/_ADM_Display_License.htm",l:-1,t:"Display License Information",i:0.0012245147725693,a:"You can verify which modules you have licensed either by using the Knowledge Discovery Admin interface, or by sending the LicenseInfo action from a web browser. To display license information in Knowledge Discovery Admin In the Control menu of the Knowledge Discovery Admin interface for your License ..."},"38":{y:0,u:"../Content/Shared_Admin/Licenses/_ADM_LicenseServerHostPort.htm",l:-1,t:"Configure the License Server Host and Port",i:0.0012245147725693,a:"Named Entity Recognition is licensed through  License Server. In the Named Entity Recognition configuration file, specify the information required to connect to the License Server. To specify the license server host and port Open your configuration file in a text editor. In the [License] section, ..."},"39":{y:0,u:"../Content/Shared_Admin/Licenses/_ADM_Revoke_License.htm",l:-1,t:"Revoke a Client License",i:0.0012245147725693,a:"After you set up licensing, you can revoke licenses at any time, for example, if you want to change the client configuration or reallocate the license. The following procedure revokes the license from a component.  To revoke a license Stop the component that uses the license. At the command prompt, ..."},"40":{y:0,u:"../Content/Shared_Admin/Licenses/_ADM_License_Errors.htm",l:-1,t:"Troubleshoot License Errors",i:0.00226535718120424,a:"Troubleshoot License Errors The table contains explanations for typical licensing-related error messages."},"41":{y:0,u:"../Content/EductionServer/ACIServer/StartStop.htm",l:-1,t:"Start and Stop Named Entity Recognition Server",i:0.0012245147725693,a:"Start and Stop Named Entity Recognition Server This section describes how to start and stop Named Entity Recognition Server. "},"42":{y:0,u:"../Content/Shared_Admin/StartStop/_ADM_Start.htm",l:-1,t:"Start Named Entity Recognition",i:0.0012245147725693,a:"Your License Server must be running before you start Named Entity Recognition. You can configure services to start automatically when you start the machine. To start Named Entity Recognition Start Named Entity Recognition from the command line using the following command: eductionserver.exe ..."},"43":{y:0,u:"../Content/EductionServer/ACIServer/CommandLineOptions.htm",l:-1,t:"Command-Line Options",i:0.00226535718120424,a:"This section describes additional parameters that you can use when you start Named Entity Recognition Server from the command-line.  Options are case sensitive.  Usage: eductionserver [options] On Linux, the ACI server requires the C++ library, libstdc++.so. To ensure the server can locate the ..."},"44":{y:0,u:"../Content/Shared_Admin/StartStop/_ADM_Stop.htm",l:-1,t:"Stop Named Entity Recognition",i:0.0012245147725693,a:"You can stop Named Entity Recognition by using one of the following procedures. To stop Named Entity Recognition Send the Stop service action to the service port. http://host:ServicePort/action=Stop where: On Windows, if Named Entity Recognition is running as a service, stop Named Entity Recognition ..."},"45":{y:0,u:"../Content/EductionServer/ACIServer/ConfigureEductionServer.htm",l:-1,t:"Configure Named Entity Recognition Server",i:0.0012245147725693,a:"You configure Named Entity Recognition Server by modifying the Named Entity Recognition Server configuration file.  The Named Entity Recognition Server configuration file contains settings required for the server to run, and specifies settings to use when performing Named Entity Recognition.  The ..."},"46":{y:0,u:"../Content/Shared_Admin/_ADM_Enter_config_params.htm",l:-1,t:"Modify Configuration Parameter Values",i:0.0012245147725693,a:"You modify Named Entity Recognition configuration parameters by directly editing the parameters in the configuration file. When you set configuration parameter values, you must use UTF-8. You must stop and restart Named Entity Recognition for new configuration settings to take effect. This section ..."},"47":{y:0,u:"../Content/Shared_Admin/_ADM_Include_Config.htm",l:-1,t:"Include an External Configuration File",i:0.00816252714159449,a:"You can share configuration sections or parameters between ACI server configuration files. The following sections describe different ways to include content from an external configuration file.  You can include a configuration file in its entirety, specified configuration sections, or a single ..."},"48":{y:0,u:"../Content/Shared_Admin/_ADM_Configure_AuthRoles.htm",l:-1,t:"Configure Client Authorization",i:0.0012245147725693,a:"You can configure Named Entity Recognition to authorize different operations for different connections.  Authorization roles define a set of operations for a set of users. You define the operations by using the StandardRoles configuration parameter, or by explicitly defining a list of allowed ..."},"49":{y:0,u:"../Content/Shared_Admin/_ADM_send_actions_GETPOST.htm",l:-1,t:"Send Actions to Named Entity Recognition",i:0.00174493597688677,a:"You can make requests to Named Entity Recognition by using either GET or POST HTTP request methods. A GET request sends parameter-value pairs in the request URL. GET requests are appropriate for sending actions that retrieve information from Named Entity Recognition, such as the GetStatus action. ..."},"50":{y:0,u:"../Content/Shared_Admin/_ADM_GET_requests.htm",l:-1,t:"Send Actions by Using a GET Method",i:0.00196611628205105,a:"You can use GET requests to send actions that retrieve information from Named Entity Recognition.  When you send an action using a GET method, you use a URL of the form: http://host:port/?action=action\u0026parameters where: You must: Separate each parameter from its value with an equals symbol (=). ..."},"51":{y:0,u:"../Content/Shared_Admin/_ADM_POST_requests.htm",l:-1,t:"Send Data by Using a POST Method",i:0.0131058258162047,a:"You can send files and binary data directly to Named Entity Recognition using a POST request. One possible way to send a POST request over a socket to Named Entity Recognition is using the cURL command-line tool. The data that you send in a POST request must adhere to specific formatting ..."},"52":{y:0,u:"../Content/Shared_Admin/_ADM_GetStatus.htm",l:-1,t:"GetStatus",i:0.00174493597688677,a:"You can use the  GetStatus service action to verify the Named Entity Recognition is running. For example: http://Host:ServicePort/action=GetStatus You can send the GetStatus action to the ACI port instead of the service port. The GetStatus ACI action returns information about the Named Entity ..."},"53":{y:0,u:"../Content/Shared_Admin/_ADM_GetLicenseInfo.htm",l:-1,t:"GetLicenseInfo",i:0.0012245147725693,a:"You can send a  GetLicenseInfo action to Named Entity Recognition to return information about your license. This action checks whether your license is valid and returns the  operations that your license includes.  Send the GetLicenseInfo action to the Named Entity Recognition ACI port. For example: ..."},"54":{y:0,u:"../Content/Shared_Admin/IDOL_Admin/_ADM_IDOLAdmin_Intro.htm",l:-1,t:"Knowledge Discovery Admin",i:0.0012245147725693,a:"Knowledge Discovery Admin is an administration interface for performing ACI server administration tasks, such as gathering status information, monitoring performance, and controlling the service. Knowledge Discovery Admin provides an alternative to constructing actions and sending them from your web ..."},"55":{y:0,u:"../Content/EductionServer/Run/RunEduction.htm",l:-1,t:"Run Named Entity Recognition in Named Entity Recognition Server",i:0.00219502350307693,a:"Run Named Entity Recognition in Named Entity Recognition Server This section describes how to run a Named Entity Recognition matching operation with Named Entity Recognition Server."},"56":{y:0,u:"../Content/EductionServer/Run/ServerActions.htm",l:-1,t:"Server Actions",i:0.0012245147725693,a:"The Named Entity Recognition ACI server provides the following actions (case insensitive): For more information about these actions, and example responses, refer to the  Named Entity Recognition Server Reference. For details of how to send an action, see  Send Actions to Named Entity Recognition ."},"57":{y:0,u:"../Content/EductionServer/Run/SelectEntitiesRuntime.htm",l:-1,t:"Select Entities at Runtime",i:0.00174493597688677,a:"In Named Entity Recognition Server, you can  specify many configuration settings as query parameters in the ACI request, which allows you to customize the extraction behavior for an individual action. For example: http://localhost:13000/?action=EduceFromFile\u0026MatchCase=True\u0026Grammars=place_albal.ecr ..."},"58":{y:0,u:"../Content/part_use.htm",l:-1,t:"Use Named Entity Recognition",i:0.0012245147725693,a:"Use Named Entity Recognition This section describes how to use Named Entity Recognition matching, and how to improve your results."},"59":{y:0,u:"../Content/UseEduction/ImproveMatches/ImproveMatches.htm",l:-1,t:"Improve Named Entity Recognition Matches",i:0.00143268325429629,a:"Improve Named Entity Recognition Matches This section describes some different areas that you might want to adjust to improve your match results and performance."},"60":{y:0,u:"../Content/UseEduction/ImproveMatches/CaseSensitiveMatches.htm",l:-1,t:"Case Sensitive Matches",i:0.00903741924998287,a:"By default, Named Entity Recognition matches characters case sensitively, which has better performance than case insensitive matching. When you require case insensitive matching, there are several ways to configure it: configure MatchCase. configure individual grammars, entities, and entries with ..."},"61":{y:0,u:"../Content/UseEduction/ImproveMatches/Match_Special_Characters.htm",l:-1,t:"Match Special Characters",i:0.0266035878368577,a:"By default, Named Entity Recognition matches whole words; that is, all matches start at the beginning of a word and stop at the end of a word. Any pattern that corresponds to a substring of a word does not match the substring. For example, the pattern rain does not match the word raining. ..."},"62":{y:0,u:"../Content/UseEduction/ImproveMatches/Extract_Table_Data.htm",l:-1,t:"Extract Entities from Tables",i:0.00848266893960712,a:"Named Entity Recognition Table mode allows you to extract entities from a table, according to the values in the header of that table. This process allows you to target extraction on likely values in structured data, rather than extracting every possible entity value from a table. It can also improve ..."},"63":{y:0,u:"../Content/UseEduction/ImproveMatches/Select_Matches.htm",l:-1,t:"Select Matches",i:0.00313457619054999,a:"By default, Named Entity Recognition does not return all possible matches. For example, it does not return matches that overlap a previous match: If you have patterns for fox jumps and jumps over, the text \"The quick brown fox jumps over the lazy dog\" returns only the first match, because the second ..."},"64":{y:0,u:"../Content/UseEduction/ImproveMatches/MatchValidity.htm",l:-1,t:"Match Validity",i:0.0012245147725693,a:"Named Entity Recognition assesses the validity of a match in the following order: If the match is found outside of the required zones, discard it. If the match does not meet the minimum score requirement, discard it. If duplicates are allowed:  If the instance of the match is allowable, count this ..."},"65":{y:0,u:"../Content/UseEduction/ImproveMatches/Components.htm",l:-1,t:"Components",i:0.00372623510046328,a:"Named Entity Recognition components allow you to extract attributes from a single match. The attributes are called components because they are the components of a match.  For example, sentiment analysis can match the phrase Their service is fantastic as conveying positive sentiment. Components can ..."},"66":{y:0,u:"../Content/UseEduction/ImproveMatches/ResultsRelevance.htm",l:-1,t:"Results Relevance",i:0.00321558458678284,a:"Named Entity Recognition returns entities based on the extraction rules from the grammars and dictionaries.  The edktool command-line tool includes a test mode to measure the precision and recall of your extraction, to determine the result relevance. This mode allows you to check how well your ..."},"67":{y:0,u:"../Content/UseEduction/ImproveMatches/Grammar_Guidelines.htm",l:-1,t:"Custom Grammar Guidelines",i:0.00213351921210412,a:"This section describes some guidelines that you can use when you create custom grammars.  Named Entity Recognitionis generally very fast at grammar compilation and entity extraction. However, some expressions in the grammar patterns can increase the extraction and compilation times significantly. ..."},"68":{y:0,u:"../Content/UseEduction/ImproveMatches/ProcessingTime.htm",l:-1,t:"Control Named Entity Recognition Processing Time",i:0.0012245147725693,a:"Named Entity Recognitionmatching is usually fast, but OpenText recommends that you set limits on processing so that your application can deal with a variety of input.  For example, for a large input text with a high density of matches, it can be time-consuming to retrieve all the matches. You must ..."},"69":{y:0,u:"../Content/UseEduction/ImproveMatches/RepeatedMatches.htm",l:-1,t:"Find Repeated Matches",i:0.00630558760426779,a:"A repeated match occurs when Named Entity Recognition finds another match (exactly the same text), at a different location in the input (a different offset). For example, if you are searching some input text for telephone numbers, Named Entity Recognition could find a match \"564123\". The same text ..."},"70":{y:0,u:"../Content/UseEduction/SentimentAnalysis/LSA.htm",l:-1,t:"Sentiment Analysis",i:0.00273373626508996,a:"Sentiment Analysis This section describes the sentiment analysis grammars and some information about how to optimize sentiment analysis. For more information about the sentiment analysis grammar, see  Sentiment Grammars ."},"71":{y:0,u:"../Content/UseEduction/SentimentAnalysis/Eduction_Sentiment_Gramm.htm",l:-1,t:"Named Entity Recognition Sentiment Grammar Files",i:0.0012245147725693,a:"Named Entity Recognition Sentiment Analysis allows you find whether text has positive, negative, or neutral sentiment. For example, you can use it to determine whether users of a particular product or service are satisfied or not, based on an automated analysis of reviews.  The following table lists ..."},"72":{y:0,u:"../Content/UseEduction/SentimentAnalysis/PolarityScoring.htm",l:-1,t:"Polarity Scoring",i:0.0012245147725693,a:"The sentiment analysis grammars   support polarity scoring. Polarity scoring is a number, usually between 0.50 and 1.50, that represents the strength of the sentiment in the matched phrase. For example: a strongly positive or negative phrase might have a score of 1.35 a typical phrase might have a ..."},"73":{y:0,u:"../Content/UseEduction/SentimentAnalysis/VerbSentimentTrans.htm",l:-1,t:"Verb Sentiment Transitivity",i:0.0012245147725693,a:"The sentiment analysis grammar files support verb sentiment transitivity.  This feature enables the TOPIC components of the matches to determine what the sentiment is about with more accuracy, by using advanced contextual understanding of whether that sentiment is being expressed about the subject ..."},"74":{y:0,u:"../Content/UseEduction/SentimentAnalysis/SentimentAnalysis.htm",l:-1,t:"Sentiment Analysis",i:0.0012245147725693,a:"The sentiment analysis grammar files contain:  dictionaries of types of word (for example, positive adjective, negative noun, neutral adverb, and so on). patterns that describe how to combine these dictionaries to form positive and negative phrases. For example, you could run sentiment extraction ..."},"75":{y:0,u:"../Content/UseEduction/SentimentAnalysis/ShortComments.htm",l:-1,t:"Perform Sentiment Analysis on Short Comments\n        ",i:0.0012245147725693,a:"Perform Sentiment Analysis on Short Comments\n         The standard sentiment analysis grammars are designed for high precision. For some sources of short comment data, such as YouTube comments, no positive or negative matches are found in some documents despite sentiment clearly being expressed.  If ..."},"76":{y:0,u:"../Content/UseEduction/SentimentAnalysis/FinancialSentiment.htm",l:-1,t:"Financial Sentiment Analysis",i:0.00354658021529057,a:"The financial sentiment analysis grammar, financial_strength.ecr, allows you to extract sentiment information from financial news and analysis. You can use this grammar, for example, to monitor news feeds for financial sentiment concerning your company, or a list of companies that you are interested ..."},"77":{y:0,u:"../Content/UseEduction/Grammars/GrammarFormat.htm",l:-1,t:"Create and Modify Named Entity Recognition Grammars",i:0.00235909976931385,a:"Named Entity Recognition uses grammar files to identify and tag entities in documents. They are written in XML in a format specific to Named Entity Recognition. They are then compiled, using the Named Entity Recognition command-line tool, into ECR files that Named Entity Recognition can easily read ..."},"78":{y:0,u:"../Content/UseEduction/Grammars/CreateEditGrammar.htm",l:-1,t:"Named Entity Recognition Grammar Structure",i:0.0012245147725693,a:"A Named Entity Recognition grammar defines patterns for matching text in a document. A pattern is a combination of characters and operators. An operator is a sequence of special characters that match text by following the rules associated with the operator.  In this example, the square bracket ..."},"79":{y:0,u:"../Content/UseEduction/Grammars/Extend_Grammars.htm",l:-1,t:"Extend Grammars",i:0.00247352566293123,a:"The Named Entity Recognition standard grammars provide good coverage for common pieces of information that you would normally want to extract from your data. They are designed so that you can easily reference them in any custom grammars that you create.  For some data, the coverage provided might ..."},"80":{y:0,u:"../Content/UseEduction/Grammars/CompileGrammars1.htm",l:-1,t:"Compile Grammars",i:0.0012245147725693,a:"After you write a grammar, compile the XML file into an ECR file using the Named Entity Recognition command-line tool edktool. XML files are easy for people to read, but inefficient for computers to process. edktool transforms the XML file into an ECR file that is efficient for Named Entity ..."},"81":{y:0,u:"../Content/UseEduction/Grammars/ExampleGrammarFiles.htm",l:-1,t:"Example Grammar Files",i:0.00174493597688677,a:"Example Grammar Files \n          The following sample grammar files contains the gram_edk_place.xml grammar. "},"82":{y:0,u:"../Content/UseEduction/Grammars/grammar_xml.htm",l:-1,t:"grammar.xml",i:0.0012245147725693,a:"\u003c?xml version=\"1.0\" encoding=\"UTF-8\"?\u003e\n\n\u003c!DOCTYPE grammars SYSTEM \"../published/edk.dtd\"\u003e\n\u003c!-- Sample Named Entity Recognition grammar file showing all elements and attributes in the DTD --\u003e\n\u003cgrammars debug=\"true\" case=\"sensitive\"\u003e\n  \u003cinclude path=\"grammar_include.xml\" type=\"private\"\u003e\n    \u003cpublish ..."},"83":{y:0,u:"../Content/UseEduction/Grammars/grammar_include_xml.htm",l:-1,t:"grammar_include.xml",i:0.0012245147725693,a:"\u003c?xml version=\"1.0\" encoding=\"UTF-8\"?\u003e\n\u003c!DOCTYPE grammars SYSTEM \"../published/edk.dtd\"\u003e\n\u003cgrammars\u003e\n   \u003cgrammar name=\"grammar2\"\u003e\n      \u003centity name=\"g2e1\"\u003e\n         \u003cpattern\u003eanimal\u003c/pattern\u003e \u003c!-- default visibility --\u003e\n      \u003c/entity\u003e\n      \u003centity name=\"g2e2\" type=\"private\"\u003e \u003c!-- explicitly private ..."},"84":{y:0,u:"../Content/UseEduction/Grammars/ExampleMatchMonths.htm",l:-1,t:"Example Grammar File to Match Months",i:0.0012245147725693,a:"\u003c?xml version=\"1.0\" encoding=\"UTF-8\"?\u003e\n\u003c!DOCTYPE grammars SYSTEM \"../published/edk.dtd\"\u003e\n\n\u003cgrammars version=\"4.0\"\u003e\n   \u003cinclude path=\"winter_names.ecr\" type=\"private\"/\u003e\n   \u003cgrammar name=\"example\"\u003e\n   \n      \u003centity name=\"spring_month\" type=\"private\"\u003e\n         \u003cpattern\u003e[Mm]ar(ch|\\.)\u003c/pattern\u003e\n         ..."},"85":{y:0,u:"../Content/UseEduction/Grammars/PlaceNames.htm",l:-1,t:"Simplified Grammar File Containing a Dictionary of Place Names",i:0.0012245147725693,a:"The following grammar file is a simplified version provided for example purposes, rather than actual source code. \u003centity name=\"city/spain\" type=\"public\"\u003e\n    \u003centry headword=\"Barcelona\"/\u003e\n    \u003centry headword=\"Ciudad Real\"/\u003e\n    \u003centry headword=\"Granada\"/\u003e\n    \u003centry ..."},"86":{y:0,u:"../Content/UseEduction/Grammars/TimeDay.htm",l:-1,t:"Simplified Grammar File Containing Patterns to Match Times of Day",i:0.0012245147725693,a:"The following grammar file is a simplified version provided for example purposes, rather than actual source code. \u003centity name=\"time_24_hour\" type=\"public\"\u003e\n   \u003cpattern\u003e[01][0-9]:[0-5][0-9]\u003c/pattern\u003e\n   \u003cpattern\u003e2[0-3]:[0-5][0-9]\u003c/pattern\u003e\n\u003c/entity\u003e\n\n\u003centity name=\"time_all\" type=\"public\"\u003e\n   ..."},"87":{y:0,u:"../Content/UseEduction/CompileTest/CompileTest.htm",l:-1,t:"Compile and Test Grammars",i:0.00592349085463724,a:"Compile and Test Grammars This section describes how to use the edktool command-line tool to compile and test your custom Named Entity Recognition grammars. It includes information about the edktool configuration file."},"88":{y:0,u:"../Content/UseEduction/CompileTest/AboutEdktool_.htm",l:-1,t:"About the edktool Command-Line Tool",i:0.0012245147725693,a:"The edktool command-line tool for Named Entity Recognition allows you to compile and test your grammars. You can use edktool to: compile grammars. list available entities in a grammar file. extract entities from a file based on a grammar and select entities from the grammar for extraction. test the ..."},"89":{y:0,u:"../Content/UseEduction/CompileTest/EdktoolLicensing.htm",l:-1,t:"Named Entity Recognition Licenses in edktool",i:0.0012245147725693,a:"The edktool command-line options have a -l \u003clicensefile\u003e option to allow you to provide your license key and version key.  You can provide these files in one of the following ways: Concatenate the license key and version key with a semicolon (;), in a single file. For example,  if your licensekey is ..."},"90":{y:0,u:"../Content/UseEduction/CompileTest/Compile.htm",l:-1,t:"Compile Grammars",i:0.0012245147725693,a:"You can use edktool to compile an XML file into an ECR file.  The edktool c (compile) command compiles a specified XML grammar into an ECR grammar file. For example: edktool c mygrammar.xml This command produces the output file mygrammar.ecr. For more information about the compile command, see  ..."},"91":{y:0,u:"../Content/UseEduction/CompileTest/CompilationConfig.htm",l:-1,t:"Use a Compilation Configuration File",i:0.00542170444921896,a:"When you compile a grammar by using edktool, you can add an optional JSON configuration file to specify additional options for compilation.  Configure Character Expansions You can configure character expansions, which detect certain characters as if they are a different character. For example, you ..."},"92":{y:0,u:"../Content/UseEduction/CompileTest/Eduction_Assess_Measure.htm",l:-1,t:"Assess and Measure Named Entity Recognition Grammars",i:0.0045537178092519,a:"There might be times when you want to check the effectiveness and performance of your .ECR or .XML grammars. For example, you might want to check:  how effective a particular grammar file is at extracting the entities you require from your data. how a change to a grammar file affects performance. ..."},"93":{y:0,u:"../Content/UseEduction/CompileTest/DefineSettingsCFG.htm",l:-1,t:"Named Entity Recognition Configuration File",i:0.0048079495685505,a:"You define configuration settings for edktool in a Knowledge Discovery format CFG configuration file. For details of the settings that you can use in this file, see   Named Entity Recognition Parameter Reference . The CFG configuration file consists of several sections, which you identify by using a ..."},"94":{y:0,u:"../Content/UseEduction/ModifyConfigParamValues.htm",l:-1,t:"Modify Configuration Parameter Values",i:0.0012245147725693,a:"This section describes how to enter parameter values in the configuration file. Enter Boolean Values The following settings for Boolean parameters are interchangeable: TRUE = true = ON = on = Y = y = 1 FALSE = false = OFF = off = N = n = 0 Enter String Values To enter a comma-separated list of ..."},"95":{y:0,u:"../Content/UseEduction/CompileTest/SampleConfig2.htm",l:-1,t:"Sample Configuration File",i:0.0012245147725693,a:"The following shows the configuration for a sample Named Entity Recognition task:  ..."},"96":{y:0,u:"../Content/UseEduction/PreFiltering/PreFiltering.htm",l:-1,t:"Pre-Filter Tasks",i:0.00199845788812535,a:"Pre-Filter Tasks This section describes pre-filter tasks."},"97":{y:0,u:"../Content/UseEduction/PreFiltering/Introduction.htm",l:-1,t:"Introduction",i:0.0012245147725693,a:"Pre-filtering allows you to narrow down the amount of input text that Named Entity Recognition processes for a particular set of entities. With pre-filtering, Named Entity Recognition performs an initial quick matching step that finds sections of text that contain likely matches, rather than running ..."},"98":{y:0,u:"../Content/UseEduction/PreFiltering/Configure.htm",l:-1,t:"Configure a Pre-Filter Task",i:0.0012245147725693,a:"For each pre-filter task that you want to configure, you set:  a regular expression that specifies how to find potential matches, or a resource file that provides a dictionary of terms to use for fast matching. the amount of text Named Entity Recognition must use on either side of the potential ..."},"99":{y:0,u:"../Content/UseEduction/PreFiltering/DictionaryFile.htm",l:-1,t:"Dictionary ResourceFile Format",i:0.00216024861818468,a:"For dictionary pre-filtering, you can either use a provided dictionary file, or create one yourself. The provided dictionary files are in binary format, and have the extension DPF. You can create custom files in JSON format, which must use the following JSON schema: {\n   \"id\": ..."},"100":{y:0,u:"../Content/UseEduction/PostProcessing/LuaPostProcessing.htm",l:-1,t:"Post-Processing",i:0.00860444472800252,a:"Post-Processing This section describes post-processing."},"101":{y:0,u:"../Content/UseEduction/PostProcessing/PostProcessingIntroduction.htm",l:-1,t:"Introduction",i:0.0012245147725693,a:"Post-processing performs additional processing on the matches that Named Entity Recognition finds. A common use for post-processing is to validate matches. You can validate some entities, such as credit card numbers, by calculating a checksum. You can discard any matches with an invalid checksum, ..."},"102":{y:0,u:"../Content/UseEduction/PostProcessing/PostProcessingConfigure.htm",l:-1,t:"Configure Post-Processing",i:0.0012245147725693,a:"You configure post-processing tasks by setting one or more PostProcessingTaskN parameters in the [Eduction] section of the Named Entity Recognition configuration file, where N is a number starting from zero. For example: ..."},"103":{y:0,u:"../Content/UseEduction/PostProcessing/PostProcessingSDK.htm",l:-1,t:"Post-Processing with the Named Entity Recognition API",i:0.0012245147725693,a:"To perform post-processing in an application built on the Named Entity Recognition API, add post-processing tasks to the Named Entity Recognition engine. You can add the tasks: when you create the engine, if you construct the engine by supplying a configuration. When you create a Named Entity ..."},"104":{y:0,u:"../Content/UseEduction/PostProcessing/PostProcessingScript.htm",l:-1,t:"Write a Lua Script for Post-Processing",i:0.00353750177310632,a:"A Named Entity Recognition post-processing task runs a Lua script. Named Entity Recognition passes the matches into an entry function.  On Microsoft Windows platforms, OpenText recommends that you use only ASCII characters in your Lua script file names.  There are two available entry functions to ..."},"105":{y:0,u:"../Content/UseEduction/PostProcessing/ExampleScripts.htm",l:-1,t:"Example Scripts",i:0.00197623816015392,a:"Named Entity Recognition includes the following example post-processing scripts. Checksum Validation The checksum_luhn.lua script verifies the checksum digit of each match using the Luhn algorithm, and reduces the score associated with the match if the checksum is wrong. The ..."},"106":{y:0,u:"../Content/part_reference.htm",l:-1,t:"Reference",i:0.0012245147725693,a:"Reference This section contains reference materials for Named Entity Recognition."},"107":{y:0,u:"../Content/Reference/StandardGrammars/standardGrammar.htm",l:-1,t:"Standard Grammars",i:0.00478440018061893,a:"Standard Grammars This chapter contains specific information concerning the standard grammars that come with Named Entity Recognition."},"108":{y:0,u:"../Content/Reference/StandardGrammars/FileNames.htm",l:-1,t:"File Names",i:0.0012245147725693,a:"File names consist of up to four parts, separated by underscores: Basic entity type. For example, place, number, or person. Further detail on the basic type. For example, malefirstname or ss for Social Security number. This part is optional. Language. The three-character ISO 639-2/B code in which ..."},"109":{y:0,u:"../Content/Reference/StandardGrammars/SentimentGrammars.htm",l:-1,t:"Sentiment Grammars",i:0.00458904535979199,a:"Named Entity Recognition includes standard grammars designed to identify those phrases in a passage of text that indicate positive or negative sentiment. These grammars can also identify which sentiments are expressed for which topics. The sentiment grammar files have lite versions. The lite ..."},"110":{y:0,u:"../Content/Reference/StandardGrammars/Disambig.htm",l:-1,t:"Place Name Disambiguation",i:0.0012245147725693,a:"Ambiguous names in all place grammars have been given a score of 0.98 so that you can filter them out by setting EntityMinScoreN to  0.99. For example, if you want to use the place/state/engau entity to extract Australian state names using the place_engau.ecr grammar file, you can set ..."},"111":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled.htm",l:-1,t:"Standard Grammar – Compiled",i:0.001521155376362,a:"Standard Grammar – Compiled The following sections list the compiled grammar files included with Named Entity Recognition. All the Chinese grammar files support traditional Chinese."},"112":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_A.htm",l:-1,t:"A",i:0.0012245147725693,a:"address_ca.ecr Entity Description address/postcode/ca Canadian postal codes. For example, T2P-0B4, T2P0B4, or T2P 0B4. address/region_postcode/ca Canadian province or territory, and postal code. For example, Alberta, T2P0B4. address/city_region_postcode/ca Canadian city, province or territory, and ..."},"113":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_B.htm",l:-1,t:"B",i:0.0012245147725693,a:"B"},"114":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_C.htm",l:-1,t:"C",i:0.0012245147725693,a:"company_dutnl.ecr Entity Description company/top500/dutnl Top 500 Dutch companies. company/designator/dutnl Dutch company identifiers. company_engca.ecr Entity Description company/tsx60/engca A Canadian TSX60 company. company/TSXVenture50/engca A Canadian TSX Venture 50 company. company/all/engca ..."},"115":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_D.htm",l:-1,t:"D",i:0.0012245147725693,a:"date_eng.ecr Entity Description date/season/eng The four seasons in English. For example, Winter, Spring. date/year/eng A year in English, in any format. date/mmm/eng The month in English, written in full or in short form. For example, September, Sept.  date/ddd/eng The day of the week in English. ..."},"116":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_E.htm",l:-1,t:"E",i:0.0012245147725693,a:"ethnicity_engca.ecr Entity Description ethnicity/aboriginal/engca A Canadian aboriginal group. For example, Inuit. ethnicity/population_group/engca A Canadian population group. For example, Arab, White. ethnicity_engus.ecr Entity Description ethnicity/races/engus A United States race. For example, ..."},"117":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_F.htm",l:-1,t:"F",i:0.00273182241779964,a:"The financial strength grammar relies on the contextualize_matches.lua post-processing script. This script uses the configurable entities to match sections of your documents, and then recombines these entities to return a different set of entities that represent the financial sentiment. For more ..."},"118":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_G.htm",l:-1,t:"G",i:0.0012245147725693,a:"gender_fre.ecr Entity Description gender/gender_word/fre A word that describes a family relation or gender in French. For example, Dame, voisines. gender/gender_context/fre A gender in the context of French language. gender/all/fre A gender in the French language, either in a word or in context. ..."},"119":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_H.htm",l:-1,t:"H",i:0.0012245147725693,a:"H holiday_enggb.ecr Entity Description holiday/bank_holiday/enggb British Bank Holiday name. holiday/holiday/enggb Traditional days celebrated. For example, Mother\u0027s Day."},"120":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_I.htm",l:-1,t:"I",i:0.0012245147725693,a:"I"},"121":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_J.htm",l:-1,t:"J",i:0.0012245147725693,a:"J"},"122":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_L.htm",l:-1,t:"L",i:0.0012245147725693,a:"L legal_engus.ecr Entity Description legal/citsupr/engus Supreme Court Citations. For example, Roe v. Wade, 410 U.S. 113 (1973). legal/citcofa/engus Federal Court Reporter Citations. For example, Universal City Studios, Inc. v. Corley, 273 F.3d 429 (2d Cir. 2001)."},"123":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_M.htm",l:-1,t:"M",i:0.0012245147725693,a:"medical_condition.ecr Entity Description medical/disability/social_security/engus Impairment for the purpose of disability evaluation under social security. medical/disease_condition Disease or medical condition. This grammar includes the clinical and common names for many common medical conditions. ..."},"124":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_N.htm",l:-1,t:"N",i:0.0012245147725693,a:"number_banking_ca.ecr Entity Description number/cpa_transit_micr/ca Canadian Payments Association MICR transit number, in the format BBBBB-AAA, where BBBB is a five-digit code that identifies the branch, and AAA is a three-digit code that identifies the institution. For example, 25539-001. ..."},"125":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_O.htm",l:-1,t:"O",i:0.0012245147725693,a:"O"},"126":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_P.htm",l:-1,t:"P",i:0.0012245147725693,a:"person_name_dutnl.ecr Entity Description person/femalefirstname/dutnl Popular Dutch female first name. person/malefirstname/dutnl Popular Dutch male first name. person/firstname/dutnl Dutch first name. person/surname/dutnl Dutch surname. person/namefirstmiddlelast/dutn Dutch first, optional middle, ..."},"127":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_S.htm",l:-1,t:"S",i:0.0012245147725693,a:"The sentiment grammar files have lite versions. The lite versions are identical to the full versions in most respects, but they do not support components or user modification. They can process data up to twice as fast as the full versions, depending on language.  OpenText recommends that you use the ..."},"128":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_T.htm",l:-1,t:"T",i:0.0012245147725693,a:"team_baseball.ecr Entity Description org/baseball/mlb Major League baseball team in the U.S. and Canada. All synonyms for team names produce the same normalized text (for example, LA Dodgers normalizes to Los Angeles Dodgers) to identify variant team names.\n                         team_hockey.ecr ..."},"129":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarCompiled_U.htm",l:-1,t:"U",i:0.0012245147725693,a:"U"},"130":{y:0,u:"../Content/Reference/StandardGrammars/StandardGrammarSource.htm",l:-1,t:"Standard Grammar – Source",i:0.00143268325429629,a:"Named Entity Recognition includes standard grammar files in source form (XML) and their compiled equivalents (ECR). The source files import compiled Named Entity Recognition standard grammar files and illustrate sample usage. You can modify these XML source files and recompile them to customize a ..."},});